package com.lai.mylazyfragment.utils;

import android.content.Context;
import android.widget.Toast;

/**
 * Toast统一管理类
 */
public class ToastUtils {

    private static Toast toast;

    private ToastUtils() {
        /* cannot be instantiated */
        throw new UnsupportedOperationException("cannot be instantiated");
    }

    public static boolean isShow = true;

    /**
     * 短时间显示Toast
     * 判断toast为空时是为了防止多次点击按钮提示的时间过长
     *
     * @param context
     * @param message
     */
    public static void showShort(Context context, CharSequence message) {
        if (isShow) {
            if (toast == null) {
                Toast.makeText(context, message, Toast.LENGTH_SHORT).show();
            } else {
                toast.setText(message);
            }
        }
    }

    /**
     * 短时间显示Toast
     *
     * @param context
     * @param message
     */
    public static void showShort(Context context, int message) {
        if (isShow) {
            if (toast == null) {
                Toast.makeText(context, message, Toast.LENGTH_SHORT).show();
            } else {
                toast.setText(message);
            }
        }
    }

    /**
     * 长时间显示Toast
     *
     * @param context
     * @param message
     */
    public static void showLong(Context context, CharSequence message) {
        if (isShow) {
            if (toast == null) {
                Toast.makeText(context, message, Toast.LENGTH_LONG).show();
            } else {
                toast.setText(message);
            }
        }
    }

    /**
     * 长时间显示Toast
     *
     * @param context
     * @param message
     */
    public static void showLong(Context context, int message) {
        if (isShow) {
            if (toast == null) {
                Toast.makeText(context, message, Toast.LENGTH_LONG).show();
            } else {
                toast.setText(message);
            }
        }
    }

    /**
     * 自定义显示Toast时间
     *
     * @param context
     * @param message
     * @param duration
     */
    public static void show(Context context, CharSequence message, int duration) {
        if (isShow) {
            if (toast == null) {
                Toast.makeText(context, message, duration).show();
            } else {
                toast.setText(message);
            }
        }
    }

    /**
     * 自定义显示Toast时间
     *
     * @param context
     * @param message
     * @param duration
     */
    public static void show(Context context, int message, int duration) {
        if (isShow) {
            if (toast == null) {
                Toast.makeText(context, message, duration).show();
            } else {
                toast.setText(message);
            }
        }
    }

}